Get Observe ID list
curl --request GET \
--url https://api.cloud.corbado.io/v1/observe/idLists/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.cloud.corbado.io/v1/observe/idLists/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.cloud.corbado.io/v1/observe/idLists/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"type": "flowID",
"flowIDs": [
"<string>"
],
"count": 123,
"createdMs": 123
}{
"error": {
"message": "Validation failed",
"details": [
{
"field": "projectID",
"message": "required"
}
]
}
}Saved ID lists
Get Observe ID list
Returns a project-scoped stored flow ID selection by ID-list handle.
Required API key permission: observe:idLists:read.
GET
/
observe
/
idLists
/
{id}
Get Observe ID list
Authorizations
Use an Observe API key from the management console. The key selects the project and must grant the permission listed on the operation. Keep this key on your server.
Path Parameters
ID-list handle (format idl-<number>).
Response
Observe ID list.
ID-list handle (format idl-<number>).
Identifier family stored in this list. For this endpoint, the value is always flowID.
Available options:
flowID Stored flow IDs (format flw-<number>).
Number of stored flow IDs.
Creation time in milliseconds since epoch.
Was this page helpful?